.TH STOMP 1 "2017-10-26" "0.1" ""
.SH NAME
stomp \- STOMP command-line client
.SH SYNOPSIS
.B stomp [options]
.SH DESCRIPTION
.PP
\fBstomp\fP is a command-line client for accessing messaging servers using
the STOMP protocol (versions 1.0, 1.1 and 1.2).
.PP
It uses the Python module stomp.py.
.SH OPTIONS
.TP
.B \-h, \-\-help
Show summary of options.
.TP
.B \-\-version
Show version of program.
.TP
.B \-H <host>, \-\-host=<port>
Hostname or IP address to connect to. [default: localhost]
.TP
.B \-P <port>, \-\-port=<port>
Port providing stomp protocol connections. [default: 61613]
.TP
.B \-U <user>, \-\-user=<user>
Username for the connection
.TP
.B \-W <password>, \-\-password=<password>
Password for the connection
.TP
.B \-F <filename>, \-\-file=<filename>
File containing commands to be executed, instead of prompting from the command prompt.
.TP
.B \-S <protocol version>, \-\-protocol=<protocol version>
Set the STOMP protocol version (1.0, 1.1, 1.2) [default: 1.1]
.TP
.B \-L <queue>, \-\-listen=<queue>
Listen for messages on a queue/destination
.TP
.B \-V, \-\-verbose
Verbose logging "on" or "off" (if on, full headers from stomp server responses are printed)
.TP
.B \-\-ssl
Enable SSL connection
.TP
.B \-\-heartbeats=<heartbeats> 
Heartbeats to request when connecting with protocol >= 1.1 (two comma separated integers required) [default: 0,0]
.SH SEE ALSO
.PP \(bu 2
Python module documentation in package python-stomp-doc:
.PP \(bu 2
/usr/share/doc/python-stomp.py-doc/html
